<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>preload lazy</title>
    <style>
        body {
            display: grid;
            grid-gap: 100px;
        }
    </style>
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            const images = document.querySelectorAll('img');
            for (let idx = 0; idx < images.length; idx++) {
                if (idx < 6) {
                    images[idx].loading = 'eager';
                }
            }
        });
    </script>
    <!-- Preload settings for each image -->
    <link rel="preload" as="image" href="https://placekitten.com/400/400">
    <link rel="preload" as="image" href="https://placekitten.com/401/401">
    <link rel="preload" as="image" href="https://placekitten.com/402/402">
    <link rel="preload" as="image" href="https://placekitten.com/403/403">
    <link rel="preload" as="image" href="https://placekitten.com/404/404">
    <link rel="preload" as="image" href="https://placekitten.com/405/405">
    <link rel="preload" as="image" href="https://placekitten.com/406/406">
    <link rel="preload" as="image" href="https://placekitten.com/407/407">
    <link rel="preload" as="image" href="https://placekitten.com/408/408">
    <link rel="preload" as="image" href="https://placekitten.com/409/409">
    <link rel="preload" as="image" href="https://placekitten.com/410/410">
    <link rel="preload" as="image" href="https://placekitten.com/411/411">
    <link rel="preload" as="image" href="https://placekitten.com/412/412">
    <link rel="preload" as="image" href="https://placekitten.com/413/413">
    <link rel="preload" as="image" href="https://placekitten.com/414/414">
    <link rel="preload" as="image" href="https://placekitten.com/415/415">
    <link rel="preload" as="image" href="https://placekitten.com/416/416">
    <link rel="preload" as="image" href="https://placekitten.com/417/417">
    <link rel="preload" as="image" href="https://placekitten.com/418/418">
    <link rel="preload" as="image" href="https://placekitten.com/419/419">
    <link rel="preload" as="image" href="https://placekitten.com/420/420">
    <link rel="preload" as="image" href="https://placekitten.com/421/421">
    <link rel="preload" as="image" href="https://placekitten.com/422/422">
    <link rel="preload" as="image" href="https://placekitten.com/423/423">
    <link rel="preload" as="image" href="https://placekitten.com/424/424">
    <link rel="preload" as="image" href="https://placekitten.com/425/425">
    <link rel="preload" as="image" href="https://placekitten.com/426/426">
    <link rel="preload" as="image" href="https://placekitten.com/427/427">
    <link rel="preload" as="image" href="https://placekitten.com/428/428">
    <link rel="preload" as="image" href="https://placekitten.com/429/429">
    <link rel="preload" as="image" href="https://placekitten.com/430/430">
</head>
<body>
<img loading='lazy' src='https://placekitten.com/400/400' width='400' height='400' alt=''>
<img loading='lazy' src='https://placekitten.com/401/401' width='401' height='401' alt=''>
<img loading='lazy' src='https://placekitten.com/402/402' width='402' height='402' alt=''>
<img loading='lazy' src='https://placekitten.com/403/403' width='403' height='403' alt=''>
<img loading='lazy' src='https://placekitten.com/404/404' width='404' height='404' alt=''>
<img loading='lazy' src='https://placekitten.com/405/405' width='405' height='405' alt=''>
<img loading='lazy' src='https://placekitten.com/406/406' width='406' height='406' alt=''>
<img loading='lazy' src='https://placekitten.com/407/407' width='407' height='407' alt=''>
<img loading='lazy' src='https://placekitten.com/408/408' width='408' height='408' alt=''>
<img loading='lazy' src='https://placekitten.com/409/409' width='409' height='409' alt=''>
<img loading='lazy' src='https://placekitten.com/410/410' width='410' height='410' alt=''>
<img loading='lazy' src='https://placekitten.com/411/411' width='411' height='411' alt=''>
<img loading='lazy' src='https://placekitten.com/412/412' width='412' height='412' alt=''>
<img loading='lazy' src='https://placekitten.com/413/413' width='413' height='413' alt=''>
<img loading='lazy' src='https://placekitten.com/414/414' width='414' height='414' alt=''>
<img loading='lazy' src='https://placekitten.com/415/415' width='415' height='415' alt=''>
<img loading='lazy' src='https://placekitten.com/416/416' width='416' height='416' alt=''>
<img loading='lazy' src='https://placekitten.com/417/417' width='417' height='417' alt=''>
<img loading='lazy' src='https://placekitten.com/418/418' width='418' height='418' alt=''>
<img loading='lazy' src='https://placekitten.com/419/419' width='419' height='419' alt=''>
<img loading='lazy' src='https://placekitten.com/420/420' width='420' height='420' alt=''>
<img loading='lazy' src='https://placekitten.com/421/421' width='421' height='421' alt=''>
<img loading='lazy' src='https://placekitten.com/422/422' width='422' height='422' alt=''>
<img loading='lazy' src='https://placekitten.com/423/423' width='423' height='423' alt=''>
<img loading='lazy' src='https://placekitten.com/424/424' width='424' height='424' alt=''>
<img loading='lazy' src='https://placekitten.com/425/425' width='425' height='425' alt=''>
<img loading='lazy' src='https://placekitten.com/426/426' width='426' height='426' alt=''>
<img loading='lazy' src='https://placekitten.com/427/427' width='427' height='427' alt=''>
<img loading='lazy' src='https://placekitten.com/428/428' width='428' height='428' alt=''>
<img loading='lazy' src='https://placekitten.com/429/429' width='429' height='429' alt=''>
<img loading='lazy' src='https://placekitten.com/430/430' width='430' height='430' alt=''>
</body>
</html>